CLASS (3)

NAME
boost::date_time::ostream_time_period_formatter - Put a time period into a stream using appropriate facets.

SYNOPSIS

// In header: <boost/date_time/time_formatting_streams.hpp>
template<typename time_period_type, typename charT = char>
class ostream_time_period_formatter {
public:
  // types
  typedef std::basic_ostream< charT >                ostream_type;
  typedef time_period_type::point_type               time_type;
  typedef ostream_time_formatter< time_type, charT > time_formatter;
  // public static functions
  static void period_put(const time_period_type &, ostream_type &);
};

DESCRIPTION

  ostream_time_period_formatter public static functions

    1.

    static void period_put(const time_period_type & tp, ostream_type & os);
    Put time into an ostream. .RE